GDB (xrefs)

Public Attributes | List of all members
value_object Struct Reference

## Public Attributes
PyObject_HEAD struct value_object * | next
struct value_object * | prev
struct value * | value
PyObject * | address
PyObject * | type
PyObject * | dynamic_type

## Detailed Description

Definition at line 57 of file py-value.c.

## Member Data Documentation

## ◆ address

PyObject* value_object::address

Definition at line 62 of file py-value.c.

Referenced by valpy_get_address(), valpy_new(), and value_to_value_object().

## ◆ dynamic_type

PyObject* value_object::dynamic_type

Definition at line 64 of file py-value.c.

Referenced by valpy_get_dynamic_type(), valpy_new(), and value_to_value_object().

## ◆ next

PyObject_HEAD struct value_object* value_object::next

Definition at line 59 of file py-value.c.

Referenced by gdb.FrameIterator.FrameIterator::__next__(), gdbpy_preserve_values(), note_value(), and valpy_dealloc().

## ◆ prev

struct value_object* value_object::prev

Definition at line 60 of file py-value.c.

Referenced by note_value(), and valpy_dealloc().

## ◆ type

PyObject* value_object::type

Definition at line 63 of file py-value.c.

Referenced by valpy_get_type(), valpy_new(), and value_to_value_object().

## ◆ value

struct value* value_object::value

Definition at line 61 of file py-value.c.

Referenced by gdbpy_preserve_values(), valpy_get_address(), valpy_get_dynamic_type(), valpy_get_type(), valpy_getitem(), valpy_new(), valpy_nonzero(), value_object_to_value(), and value_to_value_object().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/python/py-value.c